//常驻地址
(function($, doc) {
	$.init();
	$.ready(function() {
		
		var cityPicker3 = new $.PopPicker({
			layer: 3
		});
		
		
		cityPicker3.setData(cityData3);
		var showCityPickerButton = doc.getElementById('showCityPicker3');
		var cityResult3 = doc.getElementById('cityResult3');
		showCityPickerButton.addEventListener('tap', function(event) {
			cityPicker3.show(function(items) {
				cityResult3.innerText =  (items[0] || {}).text + " " + (items[1] || {}).text + " " + (items[2] || {}).text;
			        document.getElementById("provinceid").value= items[0].value
					document.getElementById("provincename").value=items[0].text
					document.getElementById("cityid").value=items[1].value
					document.getElementById("cityname").value=items[1].text
					document.getElementById("areano").value=items[2].value
					document.getElementById("areanoname").value=items[2].text
			
			});
		}, false);
	});
})(mui, document);



//mui初始化
mui.init({
	swipeBack: true //启用右滑关闭功能
});

mui.plusReady(function() {
    UserInfo.CheckLogin();	
	GetUserInfo();
	
	
	//驾驶证
    document.getElementById("img3").addEventListener("tap", function() {
		
		var img1=document.getElementById('img3');
		var idPositive=document.getElementById("driverLicense");
		   upfileshowActionSheet(img1,idPositive);
	});
	
	//驾驶证
    document.getElementById("img4").addEventListener("tap", function() {
		
		var img1=document.getElementById('img4');
		var idPositive=document.getElementById("qualificationCertificate");
		   upfileshowActionSheet(img1,idPositive);
	});
	
	document.getElementById("img5").addEventListener("tap", function() {
		
		var img1=document.getElementById('img5');
		var idPositive=document.getElementById("idPositive");
		   upfileshowActionSheet(img1,idPositive);
	});
	document.getElementById("img6").addEventListener("tap", function() {
		
		var img1=document.getElementById('img6');
		var idPositive=document.getElementById("idOpposite");
		   upfileshowActionSheet(img1,idPositive);
	});
	
	document.getElementById("updateinfo").addEventListener("tap", function() {
		
		var real_name = document.getElementById('real_name').value;
		var id_number=document.getElementById('id_number').value;
		var driverLicense=document.getElementById('driverLicense').value;
		var idPositive=document.getElementById("idPositive").value;//正面
		var idOpposite=document.getElementById("idOpposite").value;
		var provinceid = document.getElementById("provinceid").value.trim();
		var provincename = document.getElementById("provincename").value.trim();
		var cityid = document.getElementById("cityid").value.trim();
		var cityname = document.getElementById("cityname").value.trim();
		var areano = document.getElementById("areano").value.trim();
		var areanoname = document.getElementById("areanoname").value.trim();
		var address=document.getElementById("huodi-ipt").value.trim();
		var userid=UserInfo.UsrId();
		var qualificationCertificate=document.getElementById('qualificationCertificate').value;
		//胡旭光加
		var qualificationcertificatenumber=document.getElementById("qualificationcertificatenumber").value.trim();

		
		if(isEmpty(real_name)) {
			mui.toast("真实姓名不能为空");
			return false;
		} else {
			var len = getByteLen(real_name);
			if((len < 4) || (len > 32)) {
				mui.toast("真实姓名2-16个汉字以内");
				return false;
			}
		}
		if(isEmpty(id_number)){
			mui.toast("身份证不能为空!");
			return false;
		}
		else
		{
			if(!card(id_number)) {
				mui.toast("身份证号格式不正确");
				return false;
			}
		}
		if(isEmpty(idPositive)){
			mui.toast("请上传身份证正面照片!");
			return false;
		}
		if(isEmpty(idOpposite)){
			mui.toast("请上传身份证反面照片!");
			return false;
		}
		if(isEmpty(driverLicense)){
			mui.toast("请上传驾驶证照片!");
			return false;
		}
		
		
		if(isEmpty(qualificationCertificate)){
			mui.toast("请上传从业资格证!");
			return false;
		}
		if(isEmpty(qualificationcertificatenumber)){
			mui.toast("从业资格信息证号不能为空!");
			return false;
		}
		
		var cityid=document.getElementById('cityid').value
		var provinceid=document.getElementById('provinceid').value;
		var areano=document.getElementById('areano').value;
		var provincename=document.getElementById("provincename").value;
		var cityname=document.getElementById("cityname").value;
		var areanoname=document.getElementById("areanoname").value;
//		var dizhi=document.getElementById("cityResult3").innerHTML;
		var dizhi=provincename+cityname+areanoname;
//		alert(dizhi)
//		alert(provinceid)
		if(isEmpty(provincename) ||isEmpty(cityname)||isEmpty(areanoname)){
			
			 mui.toast("请选择所在城市");
			    return false;
		}
		
		if(isEmpty(address)) {
			mui.toast("地址不能为空");
			return false;
		} else {
			var len = getByteLen(address);
			if((len < 4) || (len > 100)) {
				mui.toast("经营地址 2-50个汉字以内");
				return false;
			}
		}
		
   var PostUrl = 'tuser/personaldatabyusers';
	var usrid = UserInfo.UsrId();
	var PostData = {
		userid: userid,
		realName: real_name,
		idNumber:id_number,
	    userName:real_name,
		driverLicense:driverLicense,
		provinceid:provinceid,
		provincename:provincename,
		cityid:cityid,
		cityname:cityname,
		areano:areano,
		areanoname:areanoname,
		address:address,
		qualificationCertificate:qualificationCertificate,
		idPositive:idPositive,
		idOpposite:idOpposite,
		qualificationcertificatenumber:qualificationcertificatenumber
		
	};
	console.log("提交:"+JSON.stringify(PostData));
	
	PostformAjax(PostUrl, PostData, function(data) {
		var obj = JSON.parse(data);
		console.log(JSON.stringify(data));
		if(obj.status == 0000) {
			console.log(JSON.stringify(obj.data));
			console.log(JSON.stringify(obj.data.userid));
			mui.alert('信息修改成功', '', function() {
                  closepage(); 
            },'div');	
						
						
						
		} else {
			mui.toast(obj.msg);
		}
					
		
	});

		
		
		
		
	});
	
	
	
	
	
});






function  GetUserInfo() {
      
    var uid=UserInfo.UsrId();
    var PostUrl='tuser/findbyuseridlistbyuserid';
	var PostData={
	   userid:uid
	};	
	
	console.log(JSON.stringify(PostData));
	 GetJsonAjax(PostUrl, PostData, function(data1) {	
			var obj=JSON.parse(data1);
			console.log(JSON.stringify(data1));
				
				var  str ='';
			if(obj.status==0000){
				var data=obj.data;
			
			    document.getElementById('real_name').value=data.realName;
			    document.getElementById('id_number').value=data.idNum;
			    if(data.driverLicenses!=null&&data.driverLicenses!=="")
			    document.getElementById('img3').src=data.driverLicenses;
			    if(data.qualificationCertificates!=null&&data.qualificationCertificates!=="")
			    document.getElementById('img4').src=data.qualificationCertificates;
			    if(data.idPositis!=null&&data.idPositis!=="")
			    document.getElementById('img5').src=data.idPositis;
			    if(data.idOpposs!=null&&data.idOpposs!=="")
			    document.getElementById('img6').src=data.idOpposs;
			    document.getElementById('driverLicense').value=data.driverLicense;
			    document.getElementById('qualificationCertificate').value=data.qualificationCertificate;
			    if(data.proname!=null&&data.proname!=="")
			    document.getElementById('cityResult3').innerHTML=data.cityname + data.proname + data.areanoname; 
			    document.getElementById('cityname').value=data.cityname;
			    document.getElementById('provincename').value=data.proname;
			    document.getElementById('areanoname').value=data.areanoname;
			    document.getElementById('cityid').value=data.cityid;
			    document.getElementById('provinceid').value=data.proid;
			    document.getElementById('areano').value=data.areano;
			    if(data.address!=null&&data.address!=="")
			    document.getElementById('huodi-ipt').value=data.address;
			    
			    document.getElementById('driverLicense').value=data.driverLicense;
			    
			    document.getElementById('idPositive').value=data.idPositi;
			    
			    document.getElementById('idOpposite').value=data.idOppos;
			 
				
				document.getElementById('qualificationcertificatenumber').value=data.qualificationcertificatenumber; //胡旭光加
			
			}
			else{
				
				
				
				mui.toast(obj.msg);
			}
		});



}



