mui.init({
	swipeBack: true //启用右滑关闭功能
});

(function($, doc) {
	$.init();
	$.ready(function() {

		var cityPicker3 = new $.PopPicker({
			layer: 3
		});
		cityPicker3.setData(cityData3);
		var showCityPickerButton = doc.getElementById('showCityPicker3');
		var cityResult3 = doc.getElementById('cityResult3');
		showCityPickerButton.addEventListener('tap', function(event) {
			cityPicker3.show(function(items) {
				cityResult3.innerText = (items[0] || {}).text + " " + (items[1] || {}).text + " " + (items[2] || {}).text;
				document.getElementById("provinceid").value = items[0].value
				document.getElementById("provincename").value = items[0].text
				document.getElementById("cityid").value = items[1].value
				document.getElementById("cityname").value = items[1].text
		    	document.getElementById("areano").value = items[2].value
				document.getElementById("areanoname").value = items[2].text

			});
		}, false);
	});
})(mui, document);
	

mui.plusReady(function() {
	UserInfo.CheckLogin();
	
	
	//营业执照
    document.getElementById("img2").addEventListener("tap", function() {
		
		var img2=document.getElementById('img2');
		var entLicense=document.getElementById("entLicense");
		   upfileshowActionSheet(img2,entLicense);
	});
	
	
	//道路运输许可证
    document.getElementById("img3").addEventListener("tap", function() {
		
		var img3=document.getElementById('img3');
		var Transpermit=document.getElementById("Transpermit");
		   upfileshowActionSheet(img3,Transpermit);
	});
	
	
	
	
	document.getElementById("subbnt").addEventListener("tap", function() {
		
		var isentLicense=document.getElementById('isentLicense').value.trim(); //是否有营业执照
		var entLicense = document.getElementById("entLicense").value.trim(); //营业执照图片
		var enterpriseName = document.getElementById("enterpriseName").value.trim(); //企业名称
		var legalPerson = document.getElementById("legalPerson").value.trim(); //企业法人
		var Transpermit = document.getElementById("Transpermit").value.trim(); //道路运输许可证
		var provinceid=document.getElementById("provinceid").value.trim(); 
		var provincename=document.getElementById("provincename").value.trim(); 
		var cityid=document.getElementById("cityid").value.trim(); 
		var cityname=document.getElementById("cityname").value.trim(); 
		var areano=document.getElementById("areano").value.trim(); 
		var areanoname=document.getElementById("areanoname").value.trim(); 
		var address=document.getElementById('address').value.trim();
		/*var identityType=document.getElementById("identityType").value.trim();*/
		
	    var	permitnumber=document.getElementById('permitnumber').value.trim();
		var identityType = document.getElementsByName('radio1');
            for (var i = 0; i < identityType.length; i++) {
                if (identityType[i].checked == true) {
                    identityType = identityType[i].value;
                }
            }
		
		if(isentLicense==1){
			
			if(isEmpty(entLicense)){
				mui.toast("请上传营业执照");
			    return false;
			}
			if(isEmpty(enterpriseName)){
				mui.toast("企业名称不能为空");
			    return false;
			}
			
			if(isEmpty(legalPerson)){
				mui.toast("企业法人不能为空");
			    return false;
			}			
		}else if(isentLicense==0)
		{
			if(isEmpty(legalPerson)){
				//mui.toast("请上传道路运输许可证");
				mui.toast("负责人不能为空");
			    return false;
			}
		}
		
		
		if(isEmpty(Transpermit)){
				mui.toast("请上传道路运输许可证");
			    return false;
		}
		if(isEmpty(permitnumber)){
				mui.toast("道路运输许可证号不能为空");
			    return false;
		}
//		if(isEmpty(enterpriseName)){
//				mui.toast("企业名称不能为空");
//			    return false;
//			}
		
		if(isEmpty(provinceid) || isEmpty(cityid) || isEmpty(areano)){
			
			mui.toast("请选择地区");
			    return false;
		}
		
		if(isEmpty(address)){
				mui.toast("常驻地址不能为空");
			    return false;
		}
		
		
		
    var PostUrl = 'tenterpriseinfocontroller/updateenterpriseinfo';
    
	var usrid = UserInfo.UsrId();
	var PostData = {
		TUserUserid: usrid,
		enterpriseName: enterpriseName,
		legalPerson:legalPerson,
		entLicense: entLicense,
		provinceid: provinceid,
		provincename: provincename,
		cityid:cityid,
		cityname:cityname,
		areano:areano,
		areanoname:areanoname,
		address:address,
		transpermit:Transpermit,
		isentLicense:isentLicense,
		identityType:identityType,
		permitnumber:permitnumber
	};
	
	console.log("提交:"+JSON.stringify(PostData));
	PostformAjax(PostUrl, PostData, function(data) {
		var obj = JSON.parse(data);
		console.log(JSON.stringify(data));
					if(obj.status == 0000) {
						//console.log(JSON.stringify(obj.data));
						//console.log(JSON.stringify(obj.data.userid));
						//mui.toast('注册成功');
						//JumpPage('z-cysgs.html','z-cysgs.html');
						//console.log("登录用户名是:"+ UserInfo.username());
						  mui.alert('提交成功!审核需要一个工作日', '', function() {
			                   //var cur = plus.webview.currentWebview();
			                  // cur.close();
						      plus.storage.removeItem("launchFlag");
			                  closepage();
			                  window.location.href="zhuye1.html"; 
			              });
									
						
					} else {
						mui.toast(obj.msg);
					}
					
		
	});
			
	});
	
});


$(function () {
	$('.z-iipt input').click(function () {
		var i=$('.z-iipt input').index(this);
		$('.z-aipp ol').eq(i).show().siblings().hide();
		$(this).siblings().css('color','#007aff').parent().siblings().children().css('color','#333')
		
		document.getElementById('isentLicense').value=i;
		//alert(i);
		
	})
	$('.z-ipt1').click(function () {
		document.getElementById('btn2').style.display="none";
		$('.fuzeren').html('<strong>*</strong>负责人：')
		$('.mingc').html('<strong>*</strong>企业名称：')
	})
	$('.z-ipt2').click(function () {
		document.getElementById('btn2').style.display="block";
		$('.fuzeren').html('<strong>*</strong>企业法人:')
		$('.mingc').html('<strong>*</strong>企业名称：')
	})
	
})



//(function($, doc) {
//		$.init();
//		$.ready(function() {
//			
//			var cityPicker3 = new $.PopPicker({
//				layer: 3
//			});
//			cityPicker3.setData(cityData3);
//			var showCityPickerButton = doc.getElementById('showCityPicker3');
//			var cityResult3 = doc.getElementById('cityResult3');
//			showCityPickerButton.addEventListener('tap', function(event) {
//				cityPicker3.show(function(items) {
//					cityResult3.innerText = (items[0] || {}).text + " " + (items[1] || {}).text + " " + (items[2] || {}).text;
//					document.getElementById("provinceid").value= items[0].value
//					document.getElementById("provincename").value=items[0].text
//					document.getElementById("cityid").value=items[1].value
//					document.getElementById("cityname").value=items[1].text
//					document.getElementById("areano").value=items[2].value
//					document.getElementById("areanoname").value=items[2].text
//					
//					//返回 false 可以阻止选择框的关闭
//					//return false;
//				});
//			}, false);
//		});
//	})(mui, document);


    
 
    
    
    
    