mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
});

mui.plusReady(function() {
	UserInfo.CheckLogin();
	hzxiaoxiList();
});

//agreeAdd('869934068966498304','869924896946397184',1);

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {

		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
	}, 1500);
}

var count = 0;
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
		hzxiaoxiList();
	}, 1500);
}

function hzxiaoxiList() {
	var str = '';

	var PostUrl = 'tmessagecontroller/selectlist';
	var PostData = {
		userid: UserInfo.UsrId(),
		page: document.getElementById('pagenum').value,
		rows: 20
	};
	//console.log("page:"+page);
	page = parseInt(document.getElementById('pagenum').value) + 1;

	//console.log('提交参数:'+JSON.stringify(PostData));
	document.getElementById('pagenum').value = page;
	PostformAjax(PostUrl, PostData, function(data1) {
		var obj = JSON.parse(data1);
		console.log(JSON.stringify(data1));
		var table = document.body.querySelector('.mui-table-view');
		var str = '';

		if(obj.status == 0000) {
			var data = obj.data;
			if(data.length <= 0) {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			} else {
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh(true);
			}
			mui.each(data, function(i, item) {
				str += '<div class="huodong  li">';
				str += '<span>' + item.messagetime + '</span>';
				str += '<div class="con"><ul>' + item.messagetext + '</ol></div>';
				str += '</div>';
			});
			var li = document.createElement('div');
			li.className = 'li';
			li.innerHTML = str;
			str = "";
			table.appendChild(li);

		} else {
			mui.toast(obj.msg);
		}
	});
	return str;
}

function agreeAdd(userid, mycarrierId, isagree) {

	var PostUrl = 'tmycarriercontroller/agreeAdd';
	var PostData = {
		mycarrierId: mycarrierId,
		isagree: isagree
	};
	PostformAjax(PostUrl, PostData, function(data) {
		var obj = JSON.parse(data);

		console.log(JSON.stringify(data));
		if(obj.status == 1002) {

			mui.toast('同意成功');

			//ClickJump('zcmmsz.html','zcmmsz.html',{user_mp:user_mp})
		} else {
			mui.toast(obj.msg);
			return false;
		}
	});
}