mui.init();

mui.plusReady(function() {
	UserInfo.CheckLogin();
	 
		if(UserInfo.realName()!=undefined && UserInfo.realName()!="undefined")
		{
			document.getElementById('linkman').value=UserInfo.realName();
		}
	
	document.getElementById('mp').value=UserInfo.usermp();
	
	document.getElementById("btnpub").addEventListener("tap", function() {
		
		var carInfoid=document.getElementById('carInfoid').value;
		var startTime=document.getElementById('startTime').value;
		var endTime=document.getElementById('endTime').value;
		var dest=document.getElementById('dest').value;
		var max_load1=document.getElementById('max_load').value;
		var provinceid = document.getElementById("provinceid").value.trim();
		var provincename = document.getElementById("provincename").value.trim();
		var cityid = document.getElementById("cityid").value.trim();
		var cityname = document.getElementById("cityname").value.trim();
		var areano = document.getElementById("areano").value.trim();
		var areanoname = document.getElementById("areanoname").value.trim();
		var linkman = document.getElementById("linkman").value.trim();
		var mp= document.getElementById("mp").value.trim();
		
		if(isEmpty(carInfoid)) {
			mui.toast("请选择车辆");
			return false;
		}
		
		if(isEmpty(startTime)) {
			mui.toast("请选择发布开始时间");
			return false;
		}
		
		if(isEmpty(endTime)) {
			mui.toast("请选择发布结束时间");
			return false;
		}
		else{
			if(!datediff(startTime,endTime)){
				
		      mui.toast("发车结束时间不能晚于发车开始时间!");
			  return false;
			}
		}
		if(isEmpty(provinceid) || isEmpty(cityid) || isEmpty(areano)) {

			mui.toast("请选择发货地区");
			return false;
		}
		
		if(isEmpty(dest)) {
			mui.toast("请填写目的地范围");
			return false;
		}
		
		if(isEmpty(max_load1)) {
			mui.toast("请填可用运载重量");
			return false;
		}else
		{
			
			if(isDec(document.getElementById('max_load')))
			{
				
			}else{
				mui.toast("请填可用运载重量为数字类型");
			}
			
		}
		
		
		if(isEmpty(mp)) {
			mui.toast("请填写联系人手机");
			return false;
		}else
		{
			if(!IsTel(mp))
	      	{
	      		mui.toast("您输入手机号格式不对！");
	      		return false;
	      	}
			
		}
		if(isEmpty(linkman)) {
			mui.toast("联系人不能为空");
			return false;
		} else {
			var len = getByteLen(linkman);
			if((len < 4) || (len > 32)) {
				mui.toast("联系人2-16个汉字以内");
				return false;
			}
		}
		
		
	var PostUrl='tvehiclesourceinfocontroller/saveandupdate';
	var PostData={
	   userid:UserInfo.UsrId(),
	   provinceid:provinceid,
	   provincename:provincename,
	   cityid:cityid,
	   cityname:cityname,
	   areano:areano,
	   areanoname:areanoname,
	   startTime:startTime,
	   endTime:endTime,
	   vehicleInfoid:carInfoid,
	   destination:dest,
	   availableLoad:max_load1,
	   linkman:linkman,
	   linkmanMp:mp,
	   isdel:0,
	   ident:0,
	   vstate:0
	  
	};	
	console.log(JSON.stringify(PostData));
	 PostformAjax(PostUrl, PostData, function(data) {	
			var obj=JSON.parse(data);
			console.log(JSON.stringify(data));
			if(obj.status==0000){
				
				mui.alert('车源信息发布成功', '', function() {
                   // ClickJump('z-wodecheyuan.html','z-wodecheyuan.html');
                   var curr=plus.webview.currentWebview();
                   var winparent=plus.webview.getWebviewById('z-fabu.html');
                   winparent.close();
                   curr.close();
                    
                },'div');
				
				
				
			}
			else{
				mui.toast(obj.msg);
				return false;
			}
	});
		
		
		
		
		
		
	});
	


});


//车牌号码的选择
(function($, doc) {
	$.init();
	$.ready(function() {
		var userPicker89 = new $.PopPicker();
		var cardata= basicinfo.carlist(UserInfo.UsrId(),1);
		
		 //console.log("数组数据:"+JSON.stringify(cardata));
		 var datap=basicinfo.carlist_json(cardata);
		console.log("bbb"+ JSON.stringify(datap));
		var cdata1=eval(datap);
		userPicker89.setData(cdata1);
		var showUserPickerButton89 = doc.getElementById('showUserPicker89');
		var userResult89 = doc.getElementById('userResult89');
		showUserPickerButton89.addEventListener('tap', function(event) {
			userPicker89.show(function(items) {
				if((items[0]).text!=undefined)
				{
					userResult89.innerText = (items[0]).text;
					var id= (items[0]).value;
					
					document.getElementById('carInfoid').value=id;
					console.log(id);
					var hmingxi=document.getElementsByClassName('hmingxi')[0];
					hmingxi.style.display='block';
					var obj = JSON.parse(cardata);
					
					mui.each(obj.data, function(index, item) {
						
						if(id==item.vehicleInfoid){
							document.getElementById('maxLoad').value=item.maxLoad;
							document.getElementById('vName').value=item.vehicleLenName;
							document.getElementById('tName').value=item.carttypeName;
						}
					});
				}
				
			});
		}, false);
		
	});
})(mui, document);
//发车开始时间
(function($) {
	$.init();
	var result = $('.result')[0];
	var btns = $('.btn');
	btns.each(function(i, btn) {
		btn.addEventListener('tap', function() {
			var optionsJson = this.getAttribute('data-options') || '{}';
			var options = JSON.parse(optionsJson);
			var id = this.getAttribute('id');
			
			var picker = new $.DtPicker(options);
			picker.show(function(rs) {
				
				result.innerText = rs.text;	
				document.getElementById('startTime').value=rs.value +":00";
				picker.dispose();
			});
		}, false);
	});
})(mui);

//发车结束时间	
(function($) {
	$.init();
	var result2 = $('.result2')[0];
	var btns2 = $('.btn2');
	btns2.each(function(i, btn) {
		btn.addEventListener('tap', function() {
			var optionsJson = this.getAttribute('data-options') || '{}';
			var options = JSON.parse(optionsJson);
			var id = this.getAttribute('id');
			
			var picker = new $.DtPicker(options);
			picker.show(function(rs) {
				
				result2.innerText = rs.text;
				
				document.getElementById('endTime').value=rs.value +":00";
				
				picker.dispose();
			});
		}, false);
	});
})(mui);
//发货地址
(function($, doc) {
	$.init();
	$.ready(function() {
		
		var cityPicker3 = new $.PopPicker({
			layer: 3
		});
		cityPicker3.setData(cityData3);
		var showCityPickerButton = doc.getElementById('showCityPicker3');
		var cityResult3 = doc.getElementById('cityResult3');
		showCityPickerButton.addEventListener('tap', function(event) {
			cityPicker3.show(function(items) {
				cityResult3.innerText =  (items[0] || {}).text + " " + (items[1] || {}).text + " " + (items[2] || {}).text;
			   document.getElementById("provinceid").value = items[0].value
				document.getElementById("provincename").value = items[0].text
				document.getElementById("cityid").value = items[1].value
				document.getElementById("cityname").value = items[1].text
				document.getElementById("areano").value = items[2].value
				document.getElementById("areanoname").value = items[2].text
			
			});
		}, false);
	});
})(mui, document);
			

	

	
//$(function () {
//	$('.huoming').toggle(function () {
//		$('.hmingxi').show()
//	},function () {
//		$('.hmingxi').hide()
//	})
//	$('.mask').click(function () {
//		$('.mask').hide()
//		$('.guoshi').hide()
//	})
//	$('.guoshi ol .lan').click(function () {
//		$('.mask').hide()
//		$('.guoshi').hide()
//	})
//})