mui.init({
	swipeBack: true //启用右滑关闭功能
});

mui.plusReady(function() {

	var curwv = plus.webview.currentWebview();
	var S_url = curwv.S_url; //回调页面
	document.getElementById('Psource').value = S_url;
	UserInfo.CheckLogin();

	document.getElementById('invoiceType').value = 1;

	document.getElementById("kpglfpxxgl").addEventListener("tap", function() {
		var invoiceType = document.getElementById('invoiceType').value;
		//alert(invoiceType);
		var invoiceHeader = document.getElementById('invoiceHeader').value;
		var corporateName = document.getElementById('corporateName').value;
		var taxRate = document.getElementById('taxRate').value;
		var identification = document.getElementById('identification').value;
		var companyPhone = document.getElementById('companyPhone').value;
		var openingBank = document.getElementById('openingBank').value;
		var account = document.getElementById('account').value;
		var bankaddress = document.getElementById('bankaddress').value;
		var addressee = document.getElementById('addressee').value;
		//var addressee1 = document.getElementById('addressee1').value; //增值发票的
		var mobile = document.getElementById('mobile').value;
		var postcode = document.getElementById('postcode').value;
		var provinceid = document.getElementById('provinceid').value;
		var provincename = document.getElementById('provincename').value;
		var cityid = document.getElementById('cityid').value;
		var cityname = document.getElementById('cityname').value;
		var areano = document.getElementById('areano').value;
		var areanoname = document.getElementById('areanoname').value;
		var address = document.getElementById('address').value;

		//var addressee1=document.getElementById('addressee1').value;

		var sjr = "";
		if(isEmpty(invoiceHeader)) {
			mui.toast("请填写发票抬头");
			return false;
		} else {
			var len = getByteLen(invoiceHeader);
			if((len < 4) || (len > 64)) {
				mui.toast("发票抬头2-60个汉字以内");
				return false;
			}
		}
		if(isEmpty(corporateName)) {
			mui.toast("请填写公司名称");
			return false;
		} else {
			var len = getByteLen(corporateName);
			if((len < 4) || (len > 64)) {
				mui.toast("公司名称2-60个汉字以内");
				return false;
			}
		} 
		if(isEmpty(identification)) {
				mui.toast("请填写纳税人识别号");
				return false;
			}

		if(invoiceType == 1) {
			

			if(isEmpty(companyPhone)) {
				mui.toast("请填写联系电话");
				return false;
			}
			if(isEmpty(openingBank)) {
				mui.toast("请填写开户行");
				return false;
			}

			if(isEmpty(account)) {
				mui.toast("请填写账户");
				return false;
			}

			if(isEmpty(bankaddress)) {
				mui.toast("请填写地址");
				return false;
			} else {
				var len = getByteLen(bankaddress);
				if((len < 4) || (len > 64)) {
					mui.toast("地址4-60个汉字以内");
					return false;
				}
			}

			//				if(isEmpty(addressee1)) {
			//					mui.toast("请填写收件人");
			//					return false;
			//				}

			//sjr = addressee1;
		}

		//else 
		//		if(invoiceType==0)
		//		{

		if(isEmpty(addressee)) {
			mui.toast("请填写收件人");
			return false;
		}
		sjr = addressee;
		if(isEmpty(mobile)) {
			mui.toast("请填写联系人手机");
			return false;
		}

		if(isEmpty(postcode)) {
			mui.toast("请填写邮政编码");
			return false;
		}

		if(isEmpty(provinceid) || isEmpty(cityid) || isEmpty(areano)) {

			mui.toast("请选择地区");
			return false;
		}

		//}

		var PostUrl = 'tinvoiceinfocontroller/addInvoiceInfo';
		var PostData = {
			userid: UserInfo.UsrId(),
			invoiceType: invoiceType,
			invoiceHeader: invoiceHeader,
			corporateName: corporateName,
			taxRate: taxRate,
			identification: identification,
			companyPhone: companyPhone,
			openingBank: openingBank,
			account: account,
			bankaddress: bankaddress,
			addressee: sjr,
			mobile: mobile,
			postcode: postcode,
			provinceid: provinceid,
			provincename: provincename,
			cityid: cityid,
			cityname: cityname,
			areano: areano,
			areanoname: areanoname,
			address: address

		};
		console.log(JSON.stringify(PostData));
		PostformAjax(PostUrl, PostData, function(data) {
			var obj = JSON.parse(data);
			console.log(JSON.stringify(data));
			if(obj.status == 0000) {

				mui.alert('发票信息新增成功', '', function() {
					var curr = plus.webview.currentWebview();
					var Srul = document.getElementById('Psource').value
					var winparent = plus.webview.getWebviewById(Srul);
					winparent.reload(true);
					curr.close();

				});

			} else {
				mui.toast(obj.msg);
				return false;
			}
		});

	});

});

(function($, doc) {
	$.init();
	$.ready(function() {

		var cityPicker3 = new $.PopPicker({
			layer: 3
		});
		cityPicker3.setData(cityData3);
		var showCityPickerButton = doc.getElementById('showCityPicker3');
		var cityResult3 = doc.getElementById('cityResult3');
		showCityPickerButton.addEventListener('tap', function(event) {
			cityPicker3.show(function(items) {
				cityResult3.innerText = (items[0] || {}).text + " " + (items[1] || {}).text + " " + (items[2] || {}).text;
				document.getElementById("provinceid").value = items[0].value
				document.getElementById("provincename").value = items[0].text
				document.getElementById("cityid").value = items[1].value
				document.getElementById("cityname").value = items[1].text
				document.getElementById("areano").value = items[2].value
				document.getElementById("areanoname").value = items[2].text
			});
		}, false);
	});
})(mui, document);

var tit = document.getElementById('tit');
var lis1 = tit.getElementsByTagName('li');
var con = document.getElementById("con");
var lis2 = con.getElementsByTagName("li");

for(var i = 0; i < lis1.length; i++) {
	lis1[i].onclick = function() {
		for(var i = 0; i < lis1.length; i++) {
			lis1[i].className = "";
			lis2[i].className = "";

			if(lis1[i] == this) {
				if(i == 0) {
					document.getElementById('invoiceType').value = 1;
				} else {
					document.getElementById('invoiceType').value = 0;

				}

				lis1[i].className = "select";
				lis2[i].className = "show";
			};
		};
	}
};