
mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
});

mui.plusReady(function() {
	document.getElementById('pagenum').value=1;
	UserInfo.CheckLogin();
    GetfapiaoList();
	
});

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
	}, 1500);
}

var count = 0;
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPullupToRefresh((++count > 2)); //参数为true代表没有更多数据了。
		var table = document.body.querySelector('.mui-table-view');
		var cells = document.body.querySelectorAll('.mui-table-view-cell');
		for (var i = cells.length, len = i + 5; i < len; i++) {
			var li = document.createElement('div');
			li.className = 'li';
			li.innerHTML = '';//加载的内容
			table.appendChild(li);
		}
	}, 1500);
}


function  GetfapiaoList() {
      
    var uid=UserInfo.UsrId();
    var PostUrl='tinvoiceinfocontroller/findallbilling';
                 
	var PostData={
	   userid:uid,
	   page:document.getElementById('pagenum').value,
	   rows:20
	};	
	console.log(JSON.stringify(PostData));
   //console.log("page:"+page);
	page= parseInt(document.getElementById('pagenum').value)+1;

	
	document.getElementById('pagenum').value=page;
	
	 GetJsonAjax(PostUrl, PostData, function(data1) {	
			var obj=JSON.parse(data1);
			console.log(JSON.stringify(data1));
				var table = document.body.querySelector('.mui-table-view');
				
				var  str ='';
			if(obj.status==0000){
				var data=obj.data;
				if(data.length <= 0) {
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				}
				
			
				mui.each(data, function(i, item) {
				   str = str + '<div class="li">';
				   str = str + '<div style="height: 12px;"></div>';
				   str = str + '<div class="baibaide5">';
				   str = str + '<div class="piao">';
				   str = str + '<p class="p1">'+item.enterprisename+'</p>';
				   str = str + '<p class="p2"></p>';
				   str = str + '<p class="p2">'+item.taxRate+'%</p>';
				   str = str + '</div>';
				   str = str + '<div class="piao1">';
				   str = str + '<p class="p1">'+item.itime+'</p>';
				   str = str + '<p class="p2">金额：'+item.amount+'元</p>';
				   str = str + '</div>';
				   str = str + '</div>';
				   str = str + '</div>';
					var li = document.createElement('div');
					li.className = 'li';
					li.innerHTML = str;
					str = "";
					table.appendChild(li);
				});
			}
			else{
				
				
				
				mui.toast(obj.msg);
			}
		});



}