mui.init({
	swipeBack: true //启用右滑关闭功能
});
(function($, doc) {
	$.init();
	$.ready(function() {

		var cityPicker3 = new $.PopPicker({
			layer: 3
		});
		cityPicker3.setData(cityData3);
		var showCityPickerButton = doc.getElementById('showCityPicker3');
		var cityResult3 = doc.getElementById('cityResult3');
		showCityPickerButton.addEventListener('tap', function(event) {
			cityPicker3.show(function(items) {
				cityResult3.innerText = (items[0] || {}).text + " " + (items[1] || {}).text + " " + (items[2] || {}).text;

				document.getElementById("provinceid").value = items[0].value
				document.getElementById("proname").value = items[0].text
				document.getElementById("cityid").value = items[1].value
				document.getElementById("cityname").value = items[1].text
				document.getElementById("areano").value = items[2].value
				document.getElementById("areanoname").value = items[2].text
			});
		}, false);
	});
})(mui, document);

mui.plusReady(function() {

	UserInfo.CheckLogin();
	GetUserInfo();

	//营业执照
	document.getElementById("img1").addEventListener("tap", function() {

		var img1 = document.getElementById('img1');
		var idPositive = document.getElementById("notFixEntLicense");
		upfileshowActionSheet(img1, idPositive);
	});
	//道路运输许可证
	document.getElementById("img2").addEventListener("tap", function() {

		var img2 = document.getElementById('img2');
		var idPositive2 = document.getElementById("notFixTranspermit");
		upfileshowActionSheet(img2, idPositive2);
	});

	document.getElementById("saveinfo").addEventListener("tap", function() {
		var enterpriseName = document.getElementById('enterpriseName').value; //企业名称
		var legalPerson = document.getElementById('legalPerson').value; //企业法人
		var legalPerson2 = document.getElementById('legalPerson2').value; //负责人
		var entLicense = document.getElementById('notFixEntLicense').value; //营业执照
		var transmit = document.getElementById('notFixTranspermit').value; //运输许可证
		var provinceid = document.getElementById("provinceid").value.trim();
		var provincename = document.getElementById("proname").value.trim();
		var cityid = document.getElementById("cityid").value.trim();
		var cityname = document.getElementById("cityname").value.trim();
		var areano = document.getElementById("areano").value.trim();
		var areanoname = document.getElementById("areanoname").value.trim();
		var address = document.getElementById('address').value; //详细地址
		var identType = document.getElementById('identityTypes').value;  // 1:企业 0:个人
		var permitnumber= document.getElementById('permitnumber').value;
		if(isEmpty(enterpriseName)&&identType==1) {
			mui.toast('企业名称不能为空');
			return false;

		}

		if(isEmpty(legalPerson)&&identType==1) {

			mui.toast('企业法人不能为空');
			return false;
		}
		
		if(isEmpty(legalPerson2)&&identType==0) {

			mui.toast('负责人不能为空');
			return false;
		}
		if(isEmpty(entLicense)&&identType==1) {

			mui.toast('请上传营业执照');
			return false;
		}
		
		if(isEmpty(transmit)) {

			mui.toast('请上传道路运输许可证');
			return false;
		}
		if(isEmpty(permitnumber)) {
			mui.toast('道路运输许可证号不能为空');
			return false;

		}
		if(cityResult3 == '请选择') {

			mui.toast('请选择经营地址');
			return false;
		}
		if(isEmpty(address)) {

			mui.toast('请填写详细地址');
			return false;
		}
		
		
		if(isEmpty(areano) || isEmpty(cityid)  || isEmpty(provinceid)){
			
			mui.toast('请选择地区');
			return false;
		}
		if(identType==0)
		{
			legalPerson=legalPerson2
		}

		var userid = UserInfo.UsrId();
		var PostUrl = 'tuser/hzCysUpdateTenter';
		var PostData = {
			userid: userid,
			enterpriseName: enterpriseName,
			legalPerson: legalPerson,
			entLicense: entLicense,
			provinceid: provinceid,
			provincename: provincename,
			cityid: cityid,
			cityname: cityname,
			areano: areano,
			areanoname: areanoname,
			address: address,
			transpermit:transmit,
			permitnumber:permitnumber
		};
		console.log("提交:"+JSON.stringify(PostData));
	
		PostformAjax(PostUrl, PostData, function(data) {
			var obj = JSON.parse(data);
			console.log(JSON.stringify(data));
			if(obj.status == 0000) {
				console.log(JSON.stringify(obj.data));
				console.log(JSON.stringify(obj.data.userid));
				mui.alert('信息修改成功', '', function() {
	                  closepage(); 
	            },'div');	
							
							
							
			} else {
				mui.toast(obj.msg);
			}
						
			
		});

	});

});

function GetUserInfo() {

	var uid = UserInfo.UsrId();
	var PostUrl = 'tuser/findbyuseridlistbyuserid';
	var PostData = {
		userid: uid
	};

	console.log(JSON.stringify(PostData));
	GetJsonAjax(PostUrl, PostData, function(data1) {
		var obj = JSON.parse(data1);
		console.log(JSON.stringify(data1));

		var str = '';
		if(obj.status == 0000) {
			var data = obj.data;

			document.getElementById('enterpriseName').value = data.enterpriseName;
			document.getElementById('legalPerson').value = data.legalPerson;
			document.getElementById('legalPerson2').value = data.legalPerson;
			document.getElementById('cityResult3').innerHTML = data.proname + data.cityname + data.areanoname;
			document.getElementById('areano').value=data.areano
			document.getElementById('cityid').value=data.cityid
			document.getElementById('provinceid').value=data.proid
			document.getElementById('proname').value=data.proname
			document.getElementById('cityname').value=data.cityname
			document.getElementById('areanoname').value=data.areanoname
			document.getElementById('address').value = data.address;
			document.getElementById('img1').src = data.entLicense;
			document.getElementById('entLicense').value = data.entLicense;
			document.getElementById('img2').src = data.transpermit;
			document.getElementById('entLicense2').value = data.transpermit;
			document.getElementById('notFixTranspermit').value = data.notFixTranspermit;
			document.getElementById('notFixEntLicense').value = data.notFixEntLicense;
			if(data.identityType!=1){
				document.getElementById('identityTypes').value = 0;
			}else{
				document.getElementById('identityTypes').value = 1;
			}
			if(data.identityType==0){
				document.getElementById("yincang1").style.display='none';
				document.getElementById("yincang2").style.display='none';
				document.getElementById("btn").style.display='none';
				document.getElementById("fuzeren").style.display='block';
			}
			if(data.permitnumber!=null)
			{
				document.getElementById('permitnumber').value = data.permitnumber;
			}
			
			
//			if(data.auditstatus == 0) {
//				document.getElementById('user_auth').innerHTML = "未认证";
//			} else if(data.auditstatus == 1) {
//				document.getElementById('user_auth').innerHTML = "已认证";
//			} else if(data.auditstatus == 2) {
//				document.getElementById('user_auth').innerHTML = "审核中";
//			} else {
//				document.getElementById('user_auth').innerHTML = "未认证";
//			}

		} else {

			mui.toast(obj.msg);
		}
	});

}